@use "sass:map";
@use "@angular/material" as mat;

@mixin color($theme) {
  $color-config: mat.m2-get-color-config($theme);
  $primary-palette: map.get($color-config, "primary");
  $accent-palette: map.get($color-config, "accent");

  .step-index-container {
    background-color: mat.m2-get-color-from-palette($primary-palette);
    color: mat.m2-get-color-from-palette($primary-palette, default-contrast);
  }

  .step-content:before {
    border-left-color: mat.m2-get-color-from-palette($primary-palette, lighter);
  }

  .step-content.finished:before {
    border-left-color: mat.m2-get-color-from-palette($primary-palette);
  }
}

@mixin theme($theme) {
  $color-config: mat.m2-get-color-config($theme);
  @if $color-config != null {
    @include color($theme);
  }
}
